com.fasterxml.jackson.core

## Enum JsonParser.NumberType

- java.lang.Object
- - java.lang.Enum<JsonParser.NumberType>
  - - com.fasterxml.jackson.core.JsonParser.NumberType

All Implemented Interfaces:
  Serializable, Comparable<JsonParser.NumberType>

Enclosing class:
  JsonParser

    public static enum JsonParser.NumberType
    extends Enum<JsonParser.NumberType>

Enumeration of possible "native" (optimal) types that can be used for numbers.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BIG_DECIMAL`
`BIG_INTEGER`
`DOUBLE`
`FLOAT`
`INT`
`LONG`

### Method Summary

All Methods Static Methods Concrete Methods
`static JsonParser.NumberType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JsonParser.NumberType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INT

    public static final JsonParser.NumberType INT

#### LONG

    public static final JsonParser.NumberType LONG

#### BIG_INTEGER

    public static final JsonParser.NumberType BIG_INTEGER

#### FLOAT

    public static final JsonParser.NumberType FLOAT

#### DOUBLE

    public static final JsonParser.NumberType DOUBLE

#### BIG_DECIMAL

    public static final JsonParser.NumberType BIG_DECIMAL

### Method Detail

#### values

    public static JsonParser.NumberType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JsonParser.NumberType c : JsonParser.NumberType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JsonParser.NumberType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null